# norootforbuild

Name:			gnome-btdownload
Version:		0.0.32
Release:		pm152.3.1
Summary:		Simple BitTorrent Client designed to integrate with the GNOME Desktop
# http://prdownloads.sourceforge.net/gnome-bt/gnome-btdownload-%{version}.tar.gz
Source:			gnome-btdownload-%{version}.tar.bz2
Patch1:         gnome-btdownload-fix_desktop_mimetype.patch
URL:			http://gnome-bt.sourceforge.net/
Group:		    Productivity/Networking/Other
License: GPL-2.0
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(python2)
BuildRequires:  update-desktop-files
BuildRequires:  perl-XML-Parser
Requires:		BitTorrent
Requires:		python-notify
BuildArch:      noarch
%gconf_schemas_prereq

%description
A simple "mime-sink" BitTorrent client designed to integrate with the GNOME
desktop. Currently just a GUI on top of the official BitTorrent Python
backend.

%prep
%autosetup -p1

%build
> NEWS
autoreconf -fi
%configure --disable-schemas-install
%make_build

%install
%make_install

%suse_update_desktop_file -r gnome-btdownload Network FileTransfer

%find_lang gnome-btdownload

%find_gconf_schemas 

cat "gnome-btdownload.lang" "gnome-btdownload.schemas_list" > "%{name}.lst"

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%post
test -x /usr/bin/update-mime-database && \
  /usr/bin/update-mime-database "%{_datadir}/mime" >/dev/null || :

test -x %{_bindir}/update-desktop-database && \
  %{_bindir}/update-desktop-database "%{_datadir}/applications" >/dev/null || :

%postun
test -x /usr/bin/update-mime-database && \
  /usr/bin/update-mime-database "%{_datadir}/mime" >/dev/null || :

test -x %{_bindir}/update-desktop-database && \
  %{_bindir}/update-desktop-database "%{_datadir}/applications" >/dev/null || :

%files -f %{name}.lst
%license COPYING GPL-2
%{_bindir}/gnome-btdownload
%{_datadir}/application-registry
%{_datadir}/applications
%{_datadir}/gnome-btdownload
%{_datadir}/mime-info
%{python2_sitelib}/gnomebtdownload
%{_mandir}/man1/gnome-btdownload.1*

%changelog
* Wed Nov 18 2009 pascal.bleser@opensuse.org
- refactored to use the gconf macros and the new python packaging guidelines
* Fri Apr 25 2008 guru@unixtech.be
- new upstream version
* Fri Dec 28 2007 guru@unixtech.be
- new package
